r40108 - /scripts/repack.sh

ryan52-guest at users.alioth.debian.org ryan52-guest at users.alioth.debian.org
Sat Jul 18 16:06:10 UTC 2009


Author: ryan52-guest
Date: Sat Jul 18 16:06:05 2009
New Revision: 40108

URL: http://svn.debian.org/wsvn/?sc=1&rev=40108
Log:
add requires_version function

Modified:
    scripts/repack.sh

Modified: scripts/repack.sh
URL: http://svn.debian.org/wsvn/scripts/repack.sh?rev=40108&op=diff
==============================================================================
--- scripts/repack.sh (original)
+++ scripts/repack.sh Sat Jul 18 16:06:05 2009
@@ -39,6 +39,16 @@
     done
 }
 
+# bump with incompatible changes
+REPACK_VERSION=1
+
+requires_version(){
+    if [ $REPACK_VERSION -lt $1 ]; then
+        echo "repack.sh is not up to date enough for this package. you need at least version $1, while this script is only version $REPACK_VERSION"
+        exit 1
+    fi
+}
+
 MANIFEST=0
 ## Remove stuff
 . debian/repack.local




More information about the Pkg-perl-cvs-commits mailing list